Subject: Re: Failure of 'guix pull' from fresh install

From: Rob Syme <[email-masked]>
Date: Wed, 02 Mar 2016 11:37:35 +0000

Note: Everything runs smoothly after importing the keys via 'guix archive
--authorize hydra.gnu.org.pub', but I thought that we should be able to
'guix pull' without hydra. Perhaps I am mistaken...
-r

On Wed, 2 Mar 2016 at 19:27 Rob Syme <[email-masked]> wrote:

> I've just installed guix on a fresh Ubuntu 15.10 - guix (GNU Guix) 0.9.0.
>
> The first run of 'guix pull' fails. The log[1] includes the error:
>
> Starting download of
> /gnu/store/n7hw4dgm9qh1ihhb13jf5a1ll0wgf6ns-pkg-config-0.28.tar.gz
> From http://pkgconfig.freedesktop.org/releases/pkg-config-0.28.tar.gz...
> following redirection to `
> https://pkg-config.freedesktop.org/releases/pkg-config-0.28.tar.gz'...
> ;;; Failed to autoload make-session in (gnutls):
> ;;; ERROR: missing interface for module (gnutls)
> ERROR: In procedure module-lookup: Unbound variable: make-session
>
> Am I doing something wrong?
>
> Rob Syme
>
>
> [1] https://gist.github.com/robsyme/db66b14a47d6666a6697
>
>